#!/bin/sh
#set -x

UDEV_OP="/sbin/udevadm control --reload-rules"
UDEV_UINSTALL=1

UDEV_EARLY_RULE=/etc/udev/rules.d/05-udev-early.rules
UDEV_TMP_RULE=/tmp/tmp.rules

udevd=`ls -St /sbin/udev* | grep 'udevcontrol'`
if [ -n "$udevd" ]; then
        UDEV_OP="udevcontrol reload_rules"
else
        udevd=`ls -St /sbin/udev* | grep 'udevadm'`
        if [ -z "$udevd" ]; then
                UDEV_UINSTALL=0
        fi
fi

if [ -e ${UDEV_EARLY_RULE} ]; then
	cat ${UDEV_EARLY_RULE} | sed "s/\#\(SUBSYSTEM==\"module\".*OPTIONS=\"ignore_device\".*\)/\1/" > ${UDEV_TMP_RULE}
	if [ -s ${UDEV_TMP_RULE} ]; then
		mv -f ${UDEV_TMP_RULE} ${UDEV_EARLY_RULE}
	fi
fi

if [ $UDEV_UINSTALL -eq 1 ]; then
	${UDEV_OP}
fi

